<TeXmacs|1.99.5>

<style|<tuple|beamer|mathemagix|vdh|pari|caas|math-ss>>

<\body>
  <\hide-preamble>
    <assign|hl|<macro|body|<tabular|<tformat|<cwith|1|1|1|1|cell-background|<pattern|paper-ridged-light.png||>>|<cwith|1|1|1|1|cell-lsep|0spc>|<cwith|1|1|1|1|cell-rsep|0spc>|<cwith|1|1|1|1|cell-bsep|0spc>|<cwith|1|1|1|1|cell-tsep|0spc>|<table|<row|<cell|<arg|body>>>>>>>>
  </hide-preamble>

  <screens|<\shown>
    \;

    <\with|par-mode|center>
      <strong|<\with|font-base-size|15>
        <strong|<strong|Efficient certification of<new-line> numeric
        solutions to eigenproblems>>
      </with>>

      <strong|Joris van der Hoeven>, Bernard Mourrain

      <small|CNRS, cole polytechnique>
    </with>

    <\with|par-mode|center>
      <tabular*|<tformat|<table|<row|<cell|>|<cell|<img|<image|texmacs-chip.ps|0.6w|0.6h||>>>|<cell|>>|<row|<cell|>|<cell|>|<cell|>>|<row|<cell|>|<cell|<strong|Vienna,
      November 15, 2017<rsub|<math|<rsub|>>>>>|<cell|>>|<row|<cell|>|<cell|<verbatim|http://www.<anim-repeat|<anim-compose|<anim-constant|<with|color|brown|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|dark
      green|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>|<anim-constant|<with|color|dark
      green|T<space|-0.2spc><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|e>>>X<space|-0.2spc>><with|color|brown|<rsub|<with|math-level|0|font-shape|small-caps|m<space|-0.2spc>a<space|-0.4spc>c<space|-0.2spc>s>>>|1sec>>>.org>>|<cell|>>>>>
    </with>
  </shown>|<\hidden>
    <tit|Eigenproblems>

    <unroll|<\shown>
      <strong|Single eigenvalues>

      Given <math|M>, find <math|T> with

      <\eqnarray*>
        <tformat|<table|<row|<cell|T<rsup|<space|0.6spc>-1>*M*T>|<cell|=>|<cell|D<space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>>>>>
      </eqnarray*>
    </shown>|<\hidden*>
      <strong|Multiple eigenvalues>

      Given <math|M>, find <math|T> with

      <switch|<\shown>
        <\eqnarray*>
          <tformat|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|T<rsup|<space|0.6spc>-1>*M*T>|<cell|=>|<cell|D<space|1.2spc>=<space|1.2spc><matrix|<tformat|<cwith|1|1|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-bborder|1ln>|<cwith|2|2|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-lborder|1ln>|<cwith|1|1|1|1|cell-rborder|1ln>|<cwith|1|1|2|2|cell-lborder|1ln>|<cwith|2|2|2|2|cell-tborder|1ln>|<cwith|1|1|2|2|cell-bborder|1ln>|<cwith|2|2|2|2|cell-bborder|1ln>|<cwith|3|3|2|2|cell-tborder|1ln>|<cwith|2|2|2|2|cell-lborder|1ln>|<cwith|2|2|1|1|cell-rborder|1ln>|<cwith|2|2|2|2|cell-rborder|1ln>|<cwith|2|2|3|3|cell-lborder|1ln>|<cwith|3|3|3|3|cell-tborder|1ln>|<cwith|2|2|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-lborder|1ln>|<cwith|3|3|2|2|cell-rborder|1ln>|<cwith|3|3|3|3|cell-rborder|1ln>|<table|<row|<cell|\<Lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<Lambda\><rsub|p>>>>>>>>|<row|<cell|\<Lambda\><rsub|k>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|i<rsub|k>>>|<cell|\<ast\>>|<cell|\<ast\>>>|<row|<cell|>|<cell|\<ddots\>>|<cell|\<ast\>>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|i<rsub|k>>>>>>>>>>>
        </eqnarray*>
      </shown>|<\hidden>
        <\eqnarray*>
          <tformat|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|T<rsup|<space|0.6spc>-1>*M*T>|<cell|=>|<cell|D<space|1.2spc>=<space|1.2spc><matrix|<tformat|<cwith|1|1|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-bborder|1ln>|<cwith|2|2|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-lborder|1ln>|<cwith|1|1|1|1|cell-rborder|1ln>|<cwith|1|1|2|2|cell-lborder|1ln>|<cwith|2|2|2|2|cell-tborder|1ln>|<cwith|1|1|2|2|cell-bborder|1ln>|<cwith|2|2|2|2|cell-bborder|1ln>|<cwith|3|3|2|2|cell-tborder|1ln>|<cwith|2|2|2|2|cell-lborder|1ln>|<cwith|2|2|1|1|cell-rborder|1ln>|<cwith|2|2|2|2|cell-rborder|1ln>|<cwith|2|2|3|3|cell-lborder|1ln>|<cwith|3|3|3|3|cell-tborder|1ln>|<cwith|2|2|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-lborder|1ln>|<cwith|3|3|2|2|cell-rborder|1ln>|<cwith|3|3|3|3|cell-rborder|1ln>|<table|<row|<cell|\<Lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<Lambda\><rsub|p>>>>>>>>|<row|<cell|\<Lambda\><rsub|k>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|i<rsub|k>>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|i<rsub|k+1>-1>>>>>>+E<rsub|k>,<math-ignore|<application-space|2em>><around*|\<nobracket\>|\<lambda\><rsub|i<rsub|k>>\<approx\>\<cdots\>\<approx\>\<lambda\><rsub|i<rsub|k+1>-1>|\<nobracket\>>,<math-ignore|<application-space|2em>><text|<math|E<rsub|k>>
          \Psmall\Q>>>>>
        </eqnarray*>
      </hidden>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Certification>

    <switch|<\shown>
      <strong|Single eigenvalues>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-M\>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<b-M\><rsub|1,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<b-M\><rsub|n,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|n,n>>>>>><space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<cal-B\><around*|(|C<rsub|1,1>,r<rsub|1,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|1,n>,r<rsub|1,n>|)>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<cal-B\><around*|(|C<rsub|n,1>,r<rsub|n,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|n,n>,r<rsub|n,n>|)>>>>>>>>>>
      </eqnarray*>
    </shown>|<\hidden>
      <strong|Single eigenvalues>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-M\>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<b-M\><rsub|1,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<b-M\><rsub|n,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|n,n>>>>>><space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<cal-B\><around*|(|C<rsub|1,1>,r<rsub|1,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|1,n>,r<rsub|1,n>|)>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<cal-B\><around*|(|C<rsub|n,1>,r<rsub|n,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|n,n>,r<rsub|n,n>|)>>>>>>>>>>
      </eqnarray*>

      Find

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-T\>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<b-T\><rsub|1,1>>|<cell|\<cdots\>>|<cell|\<b-T\><rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<b-T\><rsub|n,1>>|<cell|\<cdots\>>|<cell|\<b-T\><rsub|n,n>>>>>><space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|1,1>,r<rprime|'><rsub|1,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|1,n>,r<rprime|'><rsub|1,n>|)>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|n,1>,r<rprime|'><rsub|n,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|n,n>,r<rprime|'><rsub|n,n>|)>>>>>>,>>>>
      </eqnarray*>

      such that for every <math|M\<in\>\<b-M\>> (<abbr|e.g.>
      <math|<around*|\||M<rsub|i,j>-C<rsub|i,j>|\|>\<leqslant\>r<rsub|i,j>>),
      there exists a <math|T\<in\>\<b-T\>> with

      <\eqnarray*>
        <tformat|<table|<row|<cell|T<rsup|<space|0.6spc>-1>*M*T>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>>>>>
      </eqnarray*>
    </hidden>|<\hidden>
      <strong|Multiple eigenvalues>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-M\>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<b-M\><rsub|1,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<b-M\><rsub|n,1>>|<cell|\<cdots\>>|<cell|\<b-M\><rsub|n,n>>>>>><space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<cal-B\><around*|(|C<rsub|1,1>,r<rsub|1,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|1,n>,r<rsub|1,n>|)>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<cal-B\><around*|(|C<rsub|n,1>,r<rsub|n,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rsub|n,n>,r<rsub|n,n>|)>>>>>>>>>>
      </eqnarray*>

      Find

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-T\>>|<cell|=>|<cell|<matrix|<tformat|<table|<row|<cell|\<b-T\><rsub|1,1>>|<cell|\<cdots\>>|<cell|\<b-T\><rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<b-T\><rsub|n,1>>|<cell|\<cdots\>>|<cell|\<b-T\><rsub|n,n>>>>>><space|1.2spc>=<space|1.2spc><matrix|<tformat|<table|<row|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|1,1>,r<rprime|'><rsub|1,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|1,n>,r<rprime|'><rsub|1,n>|)>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|n,1>,r<rprime|'><rsub|n,1>|)>>|<cell|\<cdots\>>|<cell|\<cal-B\><around*|(|C<rprime|'><rsub|n,n>,r<rprime|'><rsub|n,n>|)>>>>>>,>>>>
      </eqnarray*>

      such that for every <math|M\<in\>\<b-M\>> (<abbr|e.g.>
      <math|<around*|\||M<rsub|i,j>-C<rsub|i,j>|\|>\<leqslant\>r<rsub|i,j>>),
      there exists a <math|T\<in\>\<b-T\>> with

      <\eqnarray*>
        <tformat|<table|<row|<cell|T<rsup|<space|0.6spc>-1>*M*T>|<cell|=>|<cell|<matrix|<tformat|<cwith|1|1|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-bborder|1ln>|<cwith|2|2|1|1|cell-tborder|1ln>|<cwith|1|1|1|1|cell-lborder|1ln>|<cwith|1|1|1|1|cell-rborder|1ln>|<cwith|1|1|2|2|cell-lborder|1ln>|<cwith|2|2|2|2|cell-tborder|1ln>|<cwith|1|1|2|2|cell-bborder|1ln>|<cwith|2|2|2|2|cell-bborder|1ln>|<cwith|3|3|2|2|cell-tborder|1ln>|<cwith|2|2|2|2|cell-lborder|1ln>|<cwith|2|2|1|1|cell-rborder|1ln>|<cwith|2|2|2|2|cell-rborder|1ln>|<cwith|2|2|3|3|cell-lborder|1ln>|<cwith|3|3|3|3|cell-tborder|1ln>|<cwith|2|2|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-bborder|1ln>|<cwith|3|3|3|3|cell-lborder|1ln>|<cwith|3|3|2|2|cell-rborder|1ln>|<cwith|3|3|3|3|cell-rborder|1ln>|<table|<row|<cell|\<Lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<Lambda\><rsub|n>>>>>>>>>>
      </eqnarray*>
    </hidden>>
  </hidden>|<\hidden>
    <tit|The challenge>

    <unroll|<\shown>
      <strong|Main goal>

      <\quote-env>
        <em|Given an approximate numerical solution to an eigenproblem, find
        an efficient algorithm for certifying the solution.>
      </quote-env>
    </shown>|<\hidden*>
      <vspace*|0.5fn><strong|Ideally speaking>

      Only use a finite number of matrix multiplications at the current
      working precision.
    </hidden*>|<\hidden*>
      <switch|<\shown>
        <vspace*|0.5fn><strong|Asymptotic complexity>

        Two <math|n\<times\>n> matrices with <math|p>-bit integer entries can
        be multiplied in time

        <\eqnarray*>
          <tformat|<table|<row|<cell|<math-ss|MM><around*|(|n,p|)>>|<cell|=>|<cell|O<around*|(|n<rsup|2>*<math-ss|I><around*|(|p|)>+n<rsup|\<omega\>>*p*2<rsup|O*<around|(|lg<rsup|\<ast\>>
          p-lg<rsup|\<ast\>> n|)>>*<math-ss|I><around|(|lg n|)>/lg
          n|)><separating-space|2em><text|[Harvey\UvdH 2014]>.>>>>
        </eqnarray*>

        <math|<math-ss|I><around*|(|p|)>>: cost of <math|p>-bit integer
        multiplication, <math|O<around*|(|n<rsup|\<omega\>>|)>>: cost of
        <math|n\<times\>n> matrix multiplication

        <\eqnarray*>
          <tformat|<cwith|1|1|1|1|cell-bsep|1spc>|<cwith|1|1|3|3|cell-bsep|1spc>|<table|<row|<cell|<math-ss|I><around*|(|p|)>>|<cell|=>|<cell|O<around*|(|p*lg
          p*K<rsup|lg<rsup|\<ast\>> p>|)>,<space|1em>K\<leqslant\><tabular|<tformat|<table|<row|<cell|6<rsup|<math-ordinary|<phantom|\<ast\>>>><separating-space|2em><text|[Harvey
          2017]>>>|<row|<cell|4<rsup|\<ast\>><separating-space|2em><text|[Harvey\UvdH\ULecerf
          2014]>>>>>>>>|<row|<cell|\<omega\>>|<cell|\<less\>>|<cell|2.3728639<separating-space|2em><text|[LeGall
          2014]>>>>>
        </eqnarray*>
      </shown>|<\hidden>
        <vspace*|0.5fn><strong|Practical complexity>

        Two <math|n\<times\>n> matrices with <math|p>-bit integer entries can
        be multiplied in time

        <\eqnarray*>
          <tformat|<table|<row|<cell|<math-ss|MM><around*|(|n,p|)>>|<cell|=>|<cell|O<around*|(|n<rsup|3>*<space|-0.6spc>p|)>.>>>>
        </eqnarray*>
      </hidden>>
    </hidden*>>

    \;
  </hidden>|<\hidden>
    <tit|Previous work>

    <unroll|<\shown>
      <strong|Individual eigenvectors for single
      eigenvalues><htab|5mm><math|O<around*|(|n<rsup|4>*<space|-0.6spc>p|)>>

      <\itemize>
        <item>T.<nbsp>Yamamoto 1980

        <item>Rump 1989<vspace|0.666fn>
      </itemize>
    </shown>|<\hidden*>
      <strong|Individual eigenvectors for multiple
      eigenvalues><htab|5mm><math|O<around*|(|n<rsup|4>*<space|-0.6spc>p|)>>

      <\itemize>
        <item>Dongarra, Moler, Wilkinson 1983

        <item>Rump 2001

        <item>Graillat, Trbuchet 2009

        <item>Graillat, Rump 2010<vspace|0.666fn>
      </itemize>
    </hidden*>|<\hidden*>
      <strong|All eigenvectors, no multiple
      eigenvalues><htab|5mm><math|O<around*|(|n<rsup|3>*<space|-0.6spc>p|)>>

      <\itemize>
        <item>vdH\UMourrain\UTrbuchet 2009

        <item>Miyajima 2010 (eigenvalues only)
      </itemize>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|The Newton iteration (I)>

    <unroll|<\shown>
      Assume that

      <\eqnarray*>
        <tformat|<table|<row|<cell|M>|<cell|=>|<cell|D+H,<space|3em>D=<matrix|<tformat|<cwith|1|1|1|1|cell-halign|r>|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>.>>>>
      </eqnarray*>

      Then the solution is of the form <math|T=1+E>, with

      <switch|<\shown>
        <\eqnarray*>
          <tformat|<table|<row|<cell|<around*|(|1+E|)><rsup|-1>*<around*|(|D+H|)>*<around*|(|1+E|)>>|<cell|=>|<cell|D+\<Delta\>>>|<row|<cell|>|<cell|>|<cell|>>>>
        </eqnarray*>
      </shown>|<\hidden>
        <\eqnarray*>
          <tformat|<table|<row|<cell|<around*|(|1+E|)><rsup|-1>*<around*|(|D+H|)>*<around*|(|1+E|)>>|<cell|=>|<cell|D+\<Delta\>>>|<row|<cell|D*E-E*D>|<cell|\<approx\>>|<cell|\<Delta\>-H>>>>
        </eqnarray*>
      </hidden>>
    </shown>|<\hidden*>
      Now <math|D*E-E*D> equals

      <switch|<\shown>
        <\equation*>
          <matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>*<matrix|<tformat|<table|<row|<cell|E<rsub|1,1>>|<cell|\<cdots\>>|<cell|E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|E<rsub|n,1>>|<cell|\<cdots\>>|<cell|E<rsub|n,n>>>>>>-<matrix|<tformat|<table|<row|<cell|E<rsub|1,1>>|<cell|\<cdots\>>|<cell|E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|E<rsub|n,1>>|<cell|\<cdots\>>|<cell|E<rsub|n,n>>>>>>*<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>
        </equation*>
      </shown>|<\hidden>
        <\equation*>
          <matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>*E<rsub|1,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|1>*E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<lambda\><rsub|n>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|n,n>>>>>>-<matrix|<tformat|<table|<row|<cell|E<rsub|1,1>>|<cell|\<cdots\>>|<cell|E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|E<rsub|n,1>>|<cell|\<cdots\>>|<cell|E<rsub|n,n>>>>>>*<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <phantom|<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>*E<rsub|1,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|1>*E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<lambda\><rsub|n>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|n,n>>>>>>*><matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>*E<rsub|1,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|1>*E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<lambda\><rsub|n>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|n,n>>>>>>-<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>*E<rsub|1,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<lambda\><rsub|1>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|n,n>>>>>><phantom|<matrix|<tformat|<table|<row|<cell|\<lambda\><rsub|1>*E<rsub|1,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|1>*E<rsub|1,n>>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<vdots\>>>|<row|<cell|\<lambda\><rsub|n>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|\<lambda\><rsub|n>*E<rsub|n,n>>>>>>>
        </equation*>
      </hidden>|<\hidden>
        <\equation*>
          <matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1cm>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|0>|<cell|<around*|(|\<lambda\><rsub|1>-\<lambda\><rsub|2>|)>*E<rsub|1,2>>|<cell|>|<cell|<around*|(|\<lambda\><rsub|1>-\<lambda\><rsub|n>|)>*E<rsub|1,n>>>|<row|<cell|<around*|(|\<lambda\><rsub|2>-\<lambda\><rsub|1>|)>*E<rsub|2,1>>|<cell|0>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<ddots\>>|<cell|<around*|(|\<lambda\><rsub|n-1>-\<lambda\><rsub|n>|)>*E<rsub|n-1,n>>>|<row|<cell|<around*|(|\<lambda\><rsub|n>-\<lambda\><rsub|1>|)>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|<around*|(|\<lambda\><rsub|n>-\<lambda\><rsub|n-1>|)>*E<rsub|n,n-1>>|<cell|0>>>>>
        </equation*>
      </hidden>>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|The Newton iteration (II)>

    <unroll|<\shown>
      Assume that

      <\eqnarray*>
        <tformat|<table|<row|<cell|M>|<cell|=>|<cell|D+H,<space|3em>D=<matrix|<tformat|<cwith|1|1|1|1|cell-halign|r>|<table|<row|<cell|\<lambda\><rsub|1>>|<cell|>|<cell|>>|<row|<cell|>|<cell|\<ddots\>>|<cell|>>|<row|<cell|>|<cell|>|<cell|\<lambda\><rsub|n>>>>>>.>>>>
      </eqnarray*>

      Then the solution is of the form <math|T=1+E>, with

      <\eqnarray*>
        <tformat|<table|<row|<cell|<matrix|<tformat|<cwith|1|-1|1|-1|cell-height|1cm>|<cwith|1|-1|1|-1|cell-vmode|exact>|<cwith|1|-1|1|-1|cell-valign|c>|<table|<row|<cell|0>|<cell|<around*|(|\<lambda\><rsub|1>-\<lambda\><rsub|2>|)>*E<rsub|1,2>>|<cell|>|<cell|<around*|(|\<lambda\><rsub|1>-\<lambda\><rsub|n>|)>*E<rsub|1,n>>>|<row|<cell|<around*|(|\<lambda\><rsub|2>-\<lambda\><rsub|1>|)>*E<rsub|2,1>>|<cell|0>|<cell|>|<cell|>>|<row|<cell|\<vdots\>>|<cell|>|<cell|\<ddots\>>|<cell|<around*|(|\<lambda\><rsub|n-1>-\<lambda\><rsub|n>|)>*E<rsub|n-1,n>>>|<row|<cell|<around*|(|\<lambda\><rsub|n>-\<lambda\><rsub|1>|)>*E<rsub|n,1>>|<cell|\<cdots\>>|<cell|<around*|(|\<lambda\><rsub|n>-\<lambda\><rsub|n-1>|)>*E<rsub|n,n-1>>|<cell|0>>>>>>|<cell|\<approx\>>|<cell|\<Delta\>-H>>>>
      </eqnarray*>
    </shown>|<\hidden*>
      We thus obtain a simple approximate solution

      <\eqnarray*>
        <tformat|<cwith|1|1|3|3|cell-bsep|1.5spc>|<table|<row|<cell|\<Delta\><rsub|i,i>>|<cell|=>|<cell|H<rsub|i,i>>>|<row|<cell|E<rsub|i,j>>|<cell|=>|<cell|<frac|H<rsub|i,j>|\<lambda\><rsub|j>-\<lambda\><rsub|i>>,<math-ignore|<application-space|2em>><around*|(|i\<neq\>j|)>>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|The Newton iteration (III)>

    <unroll|<\shown>
      We have reduced our problem

      <\eqnarray*>
        <tformat|<table|<row|<cell|T<rsup|-1>*<around*|(|D+H|)>*T>|<cell|=>|<cell|<text|diagonal
        matrix>>>|<row|<cell|>|<cell|\<downsquigarrow\>>|<cell|>>|<row|<cell|<around*|(|T<rprime|'>|)><rsup|-1>*<around*|(|D<rprime|'>+H<rprime|'>|)>*T<rprime|'>>|<cell|=>|<cell|<math-ordinary|<text|diagonal
        matrix>><rprime|'>,>>>>
      </eqnarray*>

      where

      <\eqnarray*>
        <tformat|<table|<row|<cell|E<rsub|i,j>>|<cell|=>|<cell|H<rsub|i,j>/<around*|(|\<lambda\><rsub|j>-\<lambda\><rsub|i>|)>>>|<row|<cell|M<rprime|'>>|<cell|=>|<cell|<around|(|1+E|)><rsup|-1>*<around*|(|D+H|)>*<around|(|1+E|)>>>|<row|<cell|D<rprime|'>>|<cell|=>|<cell|<text|diagonal
        part of >M<rprime|'>>>|<row|<cell|H<rprime|'>>|<cell|=>|<cell|<text|off-diagonal
        part of >M<rprime|'>>>|<row|<cell|T>|<cell|=>|<cell|<around*|(|1+E|)>*T<rprime|'>>>>>
      </eqnarray*>
    </shown>|<\hidden*>
      <\theorem*>
        This \PNewton iteration\Q converges quadratically to a solution.
      </theorem*>
    </hidden*>|<\hidden*>
      <\theorem*>
        We can bound <math|<around*|\<\|\|\>|T-1|\<\|\|\>>> as a function of
        <math|<around*|\<\|\|\>|D|\<\|\|\>>>,
        <math|<around*|\<\|\|\>|H|\<\|\|\>>> and
        <math|\<sigma\>\<assign\>max<rsub|i\<neq\>j>
        <around*|\||\<lambda\><rsub|i>-\<lambda\><rsub|j>|\|><rsup|-1>>.
      </theorem*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Multiple eigenvalues>

    <unroll|<\shown>
      <strong|Clustering>

      <\compact>
        Partition <math|<around*|{|1,\<ldots\>,n|}>=I<rsub|1>\<amalg\>\<cdots\>\<amalg\>I<rsub|p>>
        and define <math|i\<sim\>j\<Longleftrightarrow\><around*|(|\<exists\>k,<around*|{|i,j|}>\<subseteq\>I<rsub|k>|)>>

        Idea: <math|i\<sim\>j\<Longleftrightarrow\><around*|(|<around*|\||\<lambda\><rsub|i>-\<lambda\><rsub|j>|\|><text|
        is small>|)>>

        Block matrices: after a permutation, reduce to the case when
        <math|I<rsub|1>\<less\>\<cdots\>\<less\>I<rsub|p>>
      </compact>
    </shown>|<\hidden*>
      <strong|Modified Newton iteration>

      <\compact>
        <\eqnarray*>
          <tformat|<table|<row|<cell|E<rsub|i,j>>|<cell|=>|<cell|<hl|<choice|<tformat|<table|<row|<cell|H<rsub|i,j>/<around*|(|\<lambda\><rsub|j>-\<lambda\><rsub|i>|)>>|<cell|<text|if
          >i\<nsim\>j>>|<row|<cell|0>|<cell|<text|if
          >i\<sim\>j>>>>>>>>|<row|<cell|M<rprime|'>>|<cell|=>|<cell|<around|(|1+E|)><rsup|-1>*<around*|(|D+H|)>*<around|(|1+E|)>>>|<row|<cell|D<rprime|'>>|<cell|=>|<cell|<text|<hl|block>
          diagonal part of >M<rprime|'>>>|<row|<cell|H<rprime|'>>|<cell|=>|<cell|<text|<hl|block>
          off-diagonal part of >M<rprime|'>>>|<row|<cell|T>|<cell|=>|<cell|<around*|(|1+E|)>*T<rprime|'>>>>>
        </eqnarray*>
      </compact>
    </hidden*>|<\hidden*>
      <\theorem*>
        This \Pmodified Newton iteration\Q converges <hl|linearly> to a
        solution.
      </theorem*>
    </hidden*>|<\hidden*>
      <\theorem*>
        We can bound <math|<around*|\<\|\|\>|T-1|\<\|\|\>>> as a function of
        <math|<around*|\<\|\|\>|D|\<\|\|\>>>,
        <math|<around*|\<\|\|\>|H|\<\|\|\>>> and
        <math|<hl|\<sigma\><rsup|\<ast\>>>\<assign\>max<rsub|<hl|i\<nsim\>j>>
        <around*|\||\<lambda\><rsub|i>-\<lambda\><rsub|j>|\|><rsup|-1>>.
      </theorem*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|Example>

    \;

    \;

    <switch|<\shown>
      <\equation*>
        <matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|0.000>|<cell|0.000>>|<row|<cell|0.000>|<cell|1.000>|<cell|0.000>>|<row|<cell|0.000>|<cell|0.000>|<cell|1.000>>>>>*<matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>*<matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|0.000>|<cell|0.000>>|<row|<cell|0.000>|<cell|1.000>|<cell|0.000>>|<row|<cell|0.000>|<cell|0.000>|<cell|1.000>>>>>
      </equation*>

      <\equation*>
        =
      </equation*>

      <\equation*>
        <matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>
      </equation*>
    </shown>|<\hidden>
      <\equation*>
        <matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|0.993>|<cell|-0.001>|<cell|-0.025>>|<row|<cell|-0.020>|<cell|0.998>|<cell|-0.068>>|<row|<cell|0.296>|<cell|0.028>|<cell|0.991>>>>>*<matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>*<matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|0.000>|<cell|0.025>>|<row|<cell|0.000>|<cell|1.000>|<cell|0.068>>|<row|<cell|-0.299>|<cell|-0.028>|<cell|1.000>>>>>
      </equation*>

      <\equation*>
        =
      </equation*>

      <\equation*>
        <matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.323>|<cell|0.456>|<cell|0.031>>|<row|<cell|0.326>|<cell|2.105>|<cell|0.007>>|<row|<cell|0.002>|<cell|0.136>|<cell|5.599>>>>>
      </equation*>
    </hidden>|<\hidden>
      <\equation*>
        <matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|0.990>|<cell|-0.001>|<cell|-0.034>>|<row|<cell|-0.021>|<cell|0.998>|<cell|-0.070>>|<row|<cell|0.296>|<cell|0.067>|<cell|0.988>>>>>*<matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>*<matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|-0.001>|<cell|0.036>>|<row|<cell|-0.000>|<cell|0.997>|<cell|0.070>>|<row|<cell|-0.299>|<cell|-0.067>|<cell|0.997>>>>>
      </equation*>

      <\equation*>
        =
      </equation*>

      <\equation*>
        <matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.3226>|<cell|0.4551>|<cell|0.0009>>|<row|<cell|0.3263>|<cell|2.1049>|<cell|0.0030>>|<row|<cell|0.0127>|<cell|0.0003>|<cell|5.5990>>>>>
      </equation*>
    </hidden>|<\hidden>
      <\equation*>
        <matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|0.990>|<cell|-0.001>|<cell|-0.035>>|<row|<cell|-0.021>|<cell|0.998>|<cell|-0.071>>|<row|<cell|0.299>|<cell|0.067>|<cell|0.988>>>>>*<matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>*<matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|-0.001>|<cell|0.035>>|<row|<cell|-0.000>|<cell|0.997>|<cell|0.071>>|<row|<cell|-0.303>|<cell|-0.067>|<cell|0.997>>>>>
      </equation*>

      <\equation*>
        =
      </equation*>

      <\equation*>
        <matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.32259>|<cell|0.45513>|<cell|0.00040>>|<row|<cell|0.32627>|<cell|2.10488>|<cell|0.00009>>|<row|<cell|0.00003>|<cell|0.00176>|<cell|5.59903>>>>>
      </equation*>
    </hidden>|<\hidden>
      <\equation*>
        <matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|0.990>|<cell|-0.001>|<cell|-0.035>>|<row|<cell|-0.021>|<cell|0.998>|<cell|-0.071>>|<row|<cell|0.299>|<cell|0.068>|<cell|0.988>>>>>*<matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.347>|<cell|0.462>|<cell|0.081>>|<row|<cell|0.397>|<cell|2.121>|<cell|0.235>>|<row|<cell|0.959>|<cell|0.097>|<cell|5.559>>>>>*<matrix|<tformat|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|1.000>|<cell|-0.001>|<cell|0.035>>|<row|<cell|-0.000>|<cell|0.997>|<cell|0.071>>|<row|<cell|-0.303>|<cell|-0.068>|<cell|0.997>>>>>
      </equation*>

      <\equation*>
        =
      </equation*>

      <\equation*>
        <matrix|<tformat|<cwith|1|2|1|2|cell-background|pastel
        blue>|<cwith|3|3|3|3|cell-background|pastel
        blue>|<cwith|1|-1|1|-1|cell-halign|L.>|<table|<row|<cell|2.322594>|<cell|0.455127>|<cell|0.000012>>|<row|<cell|0.326266>|<cell|2.104883>|<cell|0.000039>>|<row|<cell|0.000165>|<cell|0.000003>|<cell|5.599032>>>>>
      </equation*>
    </hidden>>
  </hidden>|<\hidden>
    <tit|Certification>

    <unroll|<\shown>
      <strong|Given>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-M\>>|<cell|=>|<cell|\<cal-B\><around*|(|M,r|)>>>|<row|<cell|T<rsup|-1>*M*T>|<cell|\<approx\>>|<cell|D>>>>
      </eqnarray*>
    </shown>|<\hidden*>
      <strong|Consider>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-D\>>|<cell|=>|<cell|T<rsup|-1>*\<b-M\>*T>>|<row|<cell|\<b-H\>>|<cell|=>|<cell|\<b-D\>-D>>>>
      </eqnarray*>
    </hidden*>|<\hidden*>
      <strong|Apply theorem> <math|\<Longrightarrow\>> bound
      <math|\<rho\>\<gtr\>0> such that <math|\<forall\>H\<in\>\<b-H\>>,
      <math|\<exists\>E> with <math|<around*|\<\|\|\>|E|\<\|\|\>>\<leqslant\>\<rho\>>
      and

      <\eqnarray*>
        <tformat|<table|<row|<cell|<around*|(|1+E|)><rsup|-1>*<around*|(|D+H|)>*<around*|(|1+E|)>>|<cell|=>|<cell|<text|block
        diagonal matrix>.>>>>
      </eqnarray*>

      Let <math|\<b-E\>=\<cal-B\><around*|(|0,\<rho\>|)>> be the
      corresponding ball enclosure for <math|E>.<vspace|0.5fn>
    </hidden*>|<\hidden*>
      <strong|Conclude>

      <\eqnarray*>
        <tformat|<table|<row|<cell|\<b-T\>>|<cell|=>|<cell|T*<around*|(|1+\<b-E\>|)>>>>>
      </eqnarray*>
    </hidden*>>
  </hidden>|<\hidden>
    <tit|High precision versus certification>

    <strong|High precision>

    <\with|par-par-sep|0.3333fn>
      It would be more efficient to have quadratic convergence.

      This can be achieved by solving the commutation equations exactly:
    </with>

    <\eqnarray*>
      <tformat|<table|<row|<cell|D*E-E*D>|<cell|\<approx\>>|<cell|\<Delta\>-H>>|<row|<cell|>|<cell|\<Downarrow\>>|<cell|>>|<row|<cell|D<rsub|<around*|[|i|]>>*E<rsub|<around*|[|i,j|]>>-E<rsub|<around*|[|i,j|]>>*D<rsub|<around*|[|j|]>>>|<cell|=>|<cell|-H<rsub|<around*|[|i,j|]>>>>>>
    </eqnarray*>

    <strong|Certification>

    <\with|par-par-sep|0.3333fn>
      We already assume an approximate numeric solution with full precision.

      <math|\<Longrightarrow\>> linear convergence sufficient for
      certification

      <math|\<Longrightarrow\>> more efficient iteration
    </with>
  </hidden>>
</body>

<\initial>
  <\collection>
    <associate|font|Chalkboard>
    <associate|font-family|rm>
    <associate|info-flag|minimal>
  </collection>
</initial>